Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class CompetitiveLearning

    java.lang.Object
      java.util.Observable
          org.neuroph.core.learning.LearningRule
              org.neuroph.core.learning.IterativeLearning
                  org.neuroph.core.learning.UnsupervisedLearning
                      org.neuroph.nnet.learning.CompetitiveLearning

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class CompetitiveLearning

extends UnsupervisedLearning

Competitive learning rule.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`neuralNetwork`

Constructor Summary
`CompetitiveLearning()` Creates new instance of CompetitiveLearning
`CompetitiveLearning(NeuralNetwork neuralNetwork)` Creates new instance of CompetitiveLearning for the specified neural network

Method Summary
`protected void` | `adjustWeights()` Adjusts weights for the winning neuron
`void` | `doLearningEpoch(TrainingSet trainingSet)` This method does one learning epoch for the unsupervised learning rules.

Methods inherited from class org.neuroph.core.learning.UnsupervisedLearning
`learnPattern`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`getCurrentIteration, getLearningRate, learn, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`getNeuralNetwork, getTrainingSet, isStopped, notifyChange, run, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompetitiveLearning

    public CompetitiveLearning()

  Creates new instance of CompetitiveLearning

### CompetitiveLearning

    public CompetitiveLearning(NeuralNetwork neuralNetwork)

  Creates new instance of CompetitiveLearning for the specified neural network

  Parameters:
    `neuralNetwork` -

Method Detail

### doLearningEpoch

    public void doLearningEpoch(TrainingSet trainingSet)

  This method does one learning epoch for the unsupervised learning rules. It iterates through the training set and trains network weights for each element. Stops learning after one epoch.

  Overrides:
    `doLearningEpoch` in class `UnsupervisedLearning`
  Parameters:
    `trainingSet` - training set for training network

### adjustWeights

    protected void adjustWeights()

  Adjusts weights for the winning neuron

  Specified by:
    `adjustWeights` in class `UnsupervisedLearning`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD